Bug 1842662 - Review Request: ismrmrd - ISMRM Raw Data Format (ISMRMRD)
Summary: Review Request: ismrmrd - ISMRM Raw Data Format (ISMRMRD)
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-Legal fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2020-06-01 19:28 UTC by Antonio T. sagitter
Modified: 2020-07-05 09:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
mail: fedora-review?


Attachments (Terms of Use)

Description Antonio T. sagitter 2020-06-01 19:28:52 UTC
Spec URL: https://download.copr.fedorainfracloud.org/results/sagitter/ForTesting/epel-8-x86_64/01419854-ismrmrd/ismrmrd.spec

SRPM URL: https://download.copr.fedorainfracloud.org/results/sagitter/ForTesting/epel-8-x86_64/01419854-ismrmrd/ismrmrd-1.4.2.1-1.el8.src.rpm

Description: <description here>

Fedora Account System Username: sagitter

This package is for Fedora and EPEL8

Comment 1 Fabian Affolter 2020-06-26 08:54:30 UTC
- The license seems to be "ISMRMRD SOFTWARE LICENSE JULY 2013" according LICENSE. One file contains a MPL header [1]. Can you please check this?

- Link to upstream source of the *-make.patch is missing.

Otherwise looks good to me.

[1] https://github.com/ismrmrd/ismrmrd/blob/87b6f6b68fd53702f4f36d1a277ed4b9c865cd26/cmake/FindPugiXML.cmake



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GPL (v3 or later)", "*No copyright*
     Mozilla Public License (v2.0)", "Expat License". 78 files have unknown
     license. Detailed output of licensecheck in
     /home/fab/Documents/repos/reviews/1842662-ismrmrd/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     https://github.com/ismrmrd/ismrmrd/archive/1.4.2.1/ismrmrd-1.4.2.1.tar.gz
     See: https://docs.fedoraproject.org/en-US/packaging-
     guidelines/SourceURL/
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ismrmrd-1.4.2.1-1.fc33.x86_64.rpm
          ismrmrd-devel-1.4.2.1-1.fc33.x86_64.rpm
          ismrmrd-debuginfo-1.4.2.1-1.fc33.x86_64.rpm
          ismrmrd-debugsource-1.4.2.1-1.fc33.x86_64.rpm
          ismrmrd-1.4.2.1-1.fc33.src.rpm
ismrmrd.x86_64: W: no-documentation
ismrmrd.x86_64: W: no-manual-page-for-binary ismrmrd_c_example
ismrmrd.x86_64: W: no-manual-page-for-binary ismrmrd_generate_cartesian_shepp_logan
ismrmrd.x86_64: W: no-manual-page-for-binary ismrmrd_info
ismrmrd.x86_64: W: no-manual-page-for-binary ismrmrd_read_timing_test
ismrmrd.x86_64: W: no-manual-page-for-binary ismrmrd_recon_cartesian_2d
ismrmrd.x86_64: W: no-manual-page-for-binary ismrmrd_test_xml
ismrmrd-devel.x86_64: W: no-documentation
ismrmrd.src: W: %ifarch-applied-patch Patch1: %{name}-use-explicit-64-bit-shifts-in-testsuite.patch
ismrmrd.src: W: invalid-url Source0: https://github.com/ismrmrd/ismrmrd/archive/1.4.2.1/ismrmrd-1.4.2.1.tar.gz HTTP Error 404: Not Found
5 packages and 0 specfiles checked; 0 errors, 10 warnings.




Rpmlint (debuginfo)
-------------------
Checking: ismrmrd-debuginfo-1.4.2.1-1.fc33.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
ismrmrd-debuginfo.x86_64: W: invalid-url URL: https://ismrmrd.github.io/ <urlopen error [Errno -2] Name or service not known>
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
ismrmrd-debugsource.x86_64: W: invalid-url URL: https://ismrmrd.github.io/ <urlopen error [Errno -2] Name or service not known>
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
ismrmrd-devel.x86_64: W: invalid-url URL: https://ismrmrd.github.io/ <urlopen error [Errno -2] Name or service not known>
ismrmrd-devel.x86_64: W: no-documentation
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
ismrmrd.x86_64: W: invalid-url URL: https://ismrmrd.github.io/ <urlopen error [Errno -2] Name or service not known>
ismrmrd.x86_64: W: no-documentation
ismrmrd.x86_64: W: no-manual-page-for-binary ismrmrd_c_example
ismrmrd.x86_64: W: no-manual-page-for-binary ismrmrd_generate_cartesian_shepp_logan
ismrmrd.x86_64: W: no-manual-page-for-binary ismrmrd_info
ismrmrd.x86_64: W: no-manual-page-for-binary ismrmrd_read_timing_test
ismrmrd.x86_64: W: no-manual-page-for-binary ismrmrd_recon_cartesian_2d
ismrmrd.x86_64: W: no-manual-page-for-binary ismrmrd_test_xml
4 packages and 0 specfiles checked; 0 errors, 12 warnings.



Requires
--------
ismrmrd (rpmlib, GLIBC filtered):
    libboost_program_options.so.1.73.0()(64bit)
    libc.so.6()(64bit)
    libfftw3f.so.3()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libhdf5.so.103()(64bit)
    libismrmrd.so.1.4()(64bit)
    libm.so.6()(64bit)
    libpugixml.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

ismrmrd-devel (rpmlib, GLIBC filtered):
    cmake-filesystem(x86-64)
    ismrmrd(x86-64)
    libismrmrd.so.1.4()(64bit)

ismrmrd-debuginfo (rpmlib, GLIBC filtered):

ismrmrd-debugsource (rpmlib, GLIBC filtered):



Provides
--------
ismrmrd:
    ismrmrd
    ismrmrd(x86-64)
    libismrmrd.so.1.4()(64bit)

ismrmrd-devel:
    cmake(ISMRMRD)
    cmake(ismrmrd)
    ismrmrd-devel
    ismrmrd-devel(x86-64)

ismrmrd-debuginfo:
    debuginfo(build-id)
    ismrmrd-debuginfo
    ismrmrd-debuginfo(x86-64)

ismrmrd-debugsource:
    ismrmrd-debugsource
    ismrmrd-debugsource(x86-64)



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -b 1842662
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, C/C++, Shell-api
Disabled plugins: SugarActivity, R, Python, Haskell, Perl, Ocaml, Java, fonts, PHP
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Antonio T. sagitter 2020-06-30 10:14:04 UTC
Thank you Fabian.
I will check this package tomorrow morning.

Comment 4 Antonio T. sagitter 2020-07-04 10:06:03 UTC
SPEC: https://download.copr.fedorainfracloud.org/results/sagitter/ForTesting/fedora-rawhide-x86_64/01517626-ismrmrd/ismrmrd.spec
SRPM: https://download.copr.fedorainfracloud.org/results/sagitter/ForTesting/fedora-rawhide-x86_64/01517626-ismrmrd/ismrmrd-1.4.2.1-2.fc33.src.rpm

(In reply to Fabian Affolter from comment #1)
> - The license seems to be "ISMRMRD SOFTWARE LICENSE JULY 2013" according
> LICENSE. 

Should be a MIT license. Good for Fedora.

> One file contains a MPL header [1]. Can you please check this?
> 
> - Link to upstream source of the *-make.patch is missing.
> 
> Otherwise looks good to me.
> 
> [1]
> https://github.com/ismrmrd/ismrmrd/blob/
> 87b6f6b68fd53702f4f36d1a277ed4b9c865cd26/cmake/FindPugiXML.cmake
> 

That's a CMake file, not a source file neither a file needed in runtime.
Listing its license is not necessary.

Comment 5 Fabian Affolter 2020-07-05 09:44:25 UTC
(In reply to Antonio T. sagitter from comment #4)
> (In reply to Fabian Affolter from comment #1)
> > - The license seems to be "ISMRMRD SOFTWARE LICENSE JULY 2013" according
> > LICENSE. 
> 
> Should be a MIT license. Good for Fedora.

No, it's not. It looks like a variant of MIT that is not listed (https://fedoraproject.org/wiki/Licensing:MIT).

I'm no licensing expert, let's wait till FE-Legal is lifted.

> > One file contains a MPL header [1]. Can you please check this?
> > [1]
> > https://github.com/ismrmrd/ismrmrd/blob/
> > 87b6f6b68fd53702f4f36d1a277ed4b9c865cd26/cmake/FindPugiXML.cmake
> > 
> 
> That's a CMake file, not a source file neither a file needed in runtime.
> Listing its license is not necessary.

It's part of the source. If there is not need for the file remove it.


Note You need to log in before you can comment on or make changes to this bug.